Bug 444548 - Missing Documentation For Autostarting Guests Created In Satellite
Missing Documentation For Autostarting Guests Created In Satellite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Reference Guide (Show other bugs)
511
All Linux
low Severity low
: ---
: ---
Assigned To: John Ha
Jeff Browning
: Documentation
Depends On:
Blocks: 456984
  Show dependency treegraph
 
Reported: 2008-04-28 21:26 EDT by Devan Goodwin
Modified: 2014-08-04 18:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:44:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2008-04-28 21:26:44 EDT
Currently when a guest is created in the satellite UI it must be restarted
manually when the host reboots. (by default) This behavior matches the behavior
of virt-manager and is likely a sane default. However we have developed the
rhn-virtualization-host service which can be used to have guests brought back up
automatically, but it appears to be missing from our documentation.

To use:

1. Locate your guests config file on the host in /etc/sysconfig/rhn/virt/. It
will be named by UUID but the correct file can easily be found by using grep to
search for the guest name.

2. ln -s /etc/sysconfig/rhn/virt/YOURGUEST.xml /etc/sysconfig/rhn/virt/auto/

After this the rhn-virtualization-host service will bring the guest back up on
reboot.
Comment 1 John Ha 2009-02-25 03:35:55 EST
I've added a new section to the Virtual Guests section of the Virtualization chapter in the Satellite Reference Guide called "Restarting Guests when Host Reboots". Let me know if it's okay. Thanks!

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.3.0/html/Reference_Guide/virtualization-guest-host-service.html
Comment 3 Jeff Browning 2009-04-20 16:08:12 EDT
The instructions above are now in the docs.
Comment 4 Miroslav Suchý 2009-08-21 05:11:53 EDT
The given location do not exist. But I find it in section:
 10.3.5. Restarting Guests when Host Reboots
and it is correct.
Comment 5 Brandon Perkins 2009-09-10 16:44:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.